# KDE gebruikershandleiding

Jan 2, 2008
K Desktop Environment
plasmaengineexplorer
1

# `plasmaengineexplorer`

Levert directe toegang tot plasma data-engines

    plasmaengineexplorer --height  pixels --width  pixels -x  pixels -y  pixels --engine  naam --source  naam --interval  ms

    plasmaengineexplorer KDE algemene opties Qt algemene opties

## Beschrijving

`plasmaengineexplorer` is een grafisch hulpmiddel die ontwikkelaars in staat stelt om Plasma data-engines te testen zonder het schrijven van een Plasma-applet.

Als er geen opties zijn gegeven, start het zonder een geselecteerde data-engine. De vereiste data-engine kan worden geselecteerd uit een afrollijst.

Alleen geïnstalleerde data-engines zullen worden gevonden. `kbuildsycoca4` zou uitgevoerd moeten worden om nieuw geïnstalleerde data-engines te vinden.

## Opties

`--height pixels`

  Stel de hoogte van het venster in, in pixels.

`--width pixels`

  Stel de breedte van het venster in, in pixels.

`-x pixels`

  Stel de x (horizontale) coördinaat van de linksboven hoek van het venster in, in pixels.

`-y pixels`

  Stel de y (verticale) coördinaat van de linksboven hoek van het venster in, in pixels.

`--engine naam`

  Start `plasmaengineexplorer` met de gegeven geselecteerde data-engine. `naam` is de interne naam van de data-engine gegeven door het X-KDE-PluginInfo-Name-veld van het bureaubladbestand.

`--source naam`

  Alleen geldig in samenhang met `--engine`. Vereist een specifieke bron van de data-engine wanneer `plasmaengineexplorer` wordt gestart.

`--interval tijd`

  Stelt het standaard bijwerkinterval in voor vereiste bronnen op `tijd` milliseconden. Indien niet ingesteld, zal de bron op verzoek bijwerken (voor sommige bronnen is dit wanneer nieuwe data beschikbaar is).

  Als `--source` is gespecificeerd, dan is dit het bijwerkinterval dat zal worden gebruikt bij het aanvragen van die bron.

## Zie ook

Meer gedetailleerde gebruikersdocumentatie is beschikbaar op help:/plasma (Ofwel voer deze URL in in &konqueror; of voer uit ``khelpcenter` `help:/plasma``).

## Voorbeelden

Laadt de tijd-data-engine, die de lokale tijd toont en elke seconde wordt bijgewerkt:

    plasmaengineexplorer --engine time --source Local --interval 1000

## Auteurs

`plasmaengineexplorer` is geschreven door Aaron Seigo aseigo@kde.org.